<?php

namespace App\Classes;

require __DIR__ . "/BaseHandler.php";

abstract class ApiHandler extends BaseHandler
{
  protected function ensureCliAccess(): void
  {
    if (php_sapi_name() !== 'cli' && $_SERVER['REQUEST_METHOD'] !== 'POST') {
      $this->sendErrorResponse("Not Found", 404);
    }
  }
}
